#pragma once

#include <QtWidgets/QMainWindow>
#include <QWindow>
#include <QtStudio3D>
#include "ui_dashboard.h"

class Dashboard : public QMainWindow
{
	Q_OBJECT

public:
	Dashboard( QWidget * parent = Q_NULLPTR );

	int InitViewer( const QString & source_file_name );
	int InitControls();

public slots:
	void meshesCreated( const QStringList & meshNames, const QString & error );
	void elementsCreated( const QStringList & elementPaths, const QString & error );

private:
	Ui::DashboardClass ui;

	QOpenGLContext context_;
	QWindow window_;
	Q3DSSurfaceViewer viewer_;

	// all data inputs should be here
	Q3DSDataInput * diSphereSize_{ nullptr };
};
